Bug 1268945 - Could not load EntryPoint.parse('overcloud_netenv_validate = rdomanager_oscplugin.v1.overcloud_netenv_validate:ValidateOvercloudNetenv') [NEEDINFO]
Could not load EntryPoint.parse('overcloud_netenv_validate = rdomanager_oscpl...
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-openstackclient (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
high Severity high
: ---
: 7.0 (Kilo)
Assigned To: Jason E. Rist
Shai Revivo
: Triaged, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-05 13:18 EDT by Marius Cornea
Modified: 2017-12-23 21:50 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jwaterwo: needinfo? (jruzicka)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1459519 None None None Never

  None (edit)
Description Marius Cornea 2015-10-05 13:18:31 EDT
Description of problem:
openstack --help returns:
Could not load EntryPoint.parse('overcloud_netenv_validate = rdomanager_oscplugin.v1.overcloud_netenv_validate:ValidateOvercloudNetenv')
ERROR: openstack 'ArgumentParser' object has no attribute 'debug'

Version-Release number of selected component (if applicable):
python-rdomanager-oscplugin-0.0.10-8.el7ost.noarch

How reproducible:
100%

Steps to Reproduce:
1. Install undercloud
2. Run openstack --help

Actual results:
Partial commands show up and:
Could not load EntryPoint.parse('overcloud_netenv_validate = rdomanager_oscplugin.v1.overcloud_netenv_validate:ValidateOvercloudNetenv')
ERROR: openstack 'ArgumentParser' object has no attribute 'debug'

Expected results:
The helper commands show up
Comment 3 Brad P. Crochet 2015-10-06 13:26:49 EDT
This is actually a problem within cliff. It is fixed in cliff-1.13.0. Launchpad bug linked.
Comment 4 Brad P. Crochet 2015-10-06 13:35:29 EDT
It also looks like openstackclient 1.6.0 is also required.
Comment 5 Mike Burns 2015-10-13 12:27:15 EDT
flipping this to core based on comments 3 and 4
Comment 8 Jakub Ruzicka 2015-11-30 09:44:58 EST
Although I find this behavior strange, `--help` isn't supported. Use `openstack help` to show all commands, and `openstack help STRING` to show help for commands containing STRING. In other words, `--help` is replaced by `help` action in openstackclient.
Comment 9 Jack Waterworth 2016-01-21 10:21:35 EST
`openstack help` appears to tell us to use the --help flag:

----------------------
[root@manager ~]# openstack help
usage: openstack help [-h] [cmd [cmd ...]]

print detailed help for another command

positional arguments:
  cmd         name of the command

optional arguments:
  -h, --help  show this help message and exit
----------------------

both -h and --help show the error:

----------------------
[root@manager ~]# openstack -h | tail
ERROR: openstack 'ArgumentParser' object has no attribute 'debug'
  network show   Show network details
  object create  Upload object to container
  object delete  Delete object from container
  object list    List objects
  object save    Save object locally
  object show    Display object details
  overcloud deploy  Deploy Overcloud
  overcloud image build  Build images for the overcloud
  overcloud image upload  Create overcloud glance images from existing image files.
Could not load EntryPoint.parse('overcloud_netenv_validate = rdomanager_oscplugin.v1.overcloud_netenv_validate:ValidateOvercloudNetenv')
----------------------

----------------------
[root@manager ~]# openstack --help | tail
ERROR: openstack 'ArgumentParser' object has no attribute 'debug'
  network show   Show network details
  object create  Upload object to container
  object delete  Delete object from container
  object list    List objects
  object save    Save object locally
  object show    Display object details
  overcloud deploy  Deploy Overcloud
  overcloud image build  Build images for the overcloud
  overcloud image upload  Create overcloud glance images from existing image files.
Could not load EntryPoint.parse('overcloud_netenv_validate = rdomanager_oscplugin.v1.overcloud_netenv_validate:ValidateOvercloudNetenv')
----------------------

Note You need to log in before you can comment on or make changes to this bug.